﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace HealthCareSoft.Entity
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class HealthCareEntities : DbContext
    {
        public HealthCareEntities()
            : base("name=HealthCareEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<Allergy> Allergies { get; set; }
        public virtual DbSet<AllergyType> AllergyTypes { get; set; }
        public virtual DbSet<Appointment> Appointments { get; set; }
        public virtual DbSet<AppointmentDetail> AppointmentDetails { get; set; }
        public virtual DbSet<BloodGroup> BloodGroups { get; set; }
        public virtual DbSet<ContactU> ContactUs { get; set; }
        public virtual DbSet<ContentManagement> ContentManagements { get; set; }
        public virtual DbSet<Day> Days { get; set; }
        public virtual DbSet<Department> Departments { get; set; }
        public virtual DbSet<Disease> Diseases { get; set; }
        public virtual DbSet<DoctorShift> DoctorShifts { get; set; }
        public virtual DbSet<DoctorsSchedule> DoctorsSchedules { get; set; }
        public virtual DbSet<DoctorsTimeSchedule> DoctorsTimeSchedules { get; set; }
        public virtual DbSet<Enqury> Enquries { get; set; }
        public virtual DbSet<File> Files { get; set; }
        public virtual DbSet<Hospital> Hospitals { get; set; }
        public virtual DbSet<HospitalDepartmentMapping> HospitalDepartmentMappings { get; set; }
        public virtual DbSet<HospitalDoctorMapping> HospitalDoctorMappings { get; set; }
        public virtual DbSet<Hour> Hours { get; set; }
        public virtual DbSet<IntervalMaster> IntervalMasters { get; set; }
        public virtual DbSet<MaximumAppointmentTime> MaximumAppointmentTimes { get; set; }
        public virtual DbSet<Pill> Pills { get; set; }
        public virtual DbSet<PillsReminder> PillsReminders { get; set; }
        public virtual DbSet<PrescribeTest> PrescribeTests { get; set; }
        public virtual DbSet<Prescription> Prescriptions { get; set; }
        public virtual DbSet<PrescriptionAgainstPatient> PrescriptionAgainstPatients { get; set; }
        public virtual DbSet<PrescriptionPill> PrescriptionPills { get; set; }
        public virtual DbSet<Qualification> Qualifications { get; set; }
        public virtual DbSet<ReasonForVisit> ReasonForVisits { get; set; }
        public virtual DbSet<ReferedPatient> ReferedPatients { get; set; }
        public virtual DbSet<Report> Reports { get; set; }
        public virtual DbSet<Specialization> Specializations { get; set; }
        public virtual DbSet<Symptom> Symptoms { get; set; }
        public virtual DbSet<Token> Tokens { get; set; }
        public virtual DbSet<UserProfile> UserProfiles { get; set; }
        public virtual DbSet<UserRole> UserRoles { get; set; }
        public virtual DbSet<Week> Weeks { get; set; }
        public virtual DbSet<WorkingShift> WorkingShifts { get; set; }
    }
}
